moovexDocs

Get shuttles of shuttle group

Returns shuttles for a group on a given date (unix seconds).

GET/shuttles/groups/{id}/shuttles

Path Parameters

ParameterTypeDescription
idstringShuttle group numeric id

Query Parameters

ParameterTypeRequiredDescription
datenumberYesDate anchor (unix seconds) to fetch shuttles

Example Response

{
  "id": 5,
  "type": "fixed",
  "weekDays": [
    0,
    1
  ],
  "paymentTypes": [
    "cashOnBoard"
  ],
  "stops": [
    {
      "id": "stop1",
      "address": {
        "name": "Stop 1",
        "lat": 32,
        "lng": 34.8
      },
      "times": [
        1700000000,
        1700000300
      ]
    },
    {
      "id": "stop2",
      "address": {
        "name": "Stop 2",
        "lat": 32.05,
        "lng": 34.82
      },
      "times": [
        1700000600,
        1700000900
      ]
    }
  ]
}

On this page